import 'package:flutter/material.dart';
import 'package:witsystem_device_manage/pages/widget/CustomFloatingActionButtonLocation.dart';

///自定义悬浮按钮放大和缩小动画 暂时还没有启用

class FloatingActionButtonScaffold extends StatefulWidget {
  final String title;
  final String centerHint; //中间文字提示
  final Function() floatingButtonOnTap; //点击的回调
  final CrossFadeState crossFadeState; //显示哪一个布局
  final Widget body;

  const FloatingActionButtonScaffold({
    Key? key,
    required this.title,
    required this.floatingButtonOnTap,
    this.crossFadeState = CrossFadeState.showFirst,
    required this.centerHint,
    required this.body,
  }) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _FloatingActionButtonScaffoldState();
  }
}

class _FloatingActionButtonScaffoldState
    extends State<FloatingActionButtonScaffold> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text(widget.title)),
      floatingActionButtonLocation:
          widget.crossFadeState == CrossFadeState.showFirst
              ? CustomFloatingActionButtonLocation(
                  FloatingActionButtonLocation.centerFloat, 0, 16)
              : FloatingActionButtonLocation.endFloat,
      floatingActionButton: GestureDetector(
        onTap: widget.floatingButtonOnTap,
        child: AnimatedCrossFade(
          firstChild: Container(
            height: MediaQuery.of(context).size.height - 110,
            width: MediaQuery.of(context).size.width,
            alignment: Alignment.center,
            decoration: const BoxDecoration(
                //border: Border.all(color: Colors.red),
                borderRadius: BorderRadius.all(Radius.circular(40))),
            child: Flex(
              direction: Axis.vertical,
              mainAxisSize: MainAxisSize.min,
              children: [
                 Icon(Icons.add, size: 50,color: Theme.of(context).primaryColorLight),
                Text(widget.centerHint,style:  TextStyle(fontSize: 20,color: Theme.of(context).primaryColorLight))
              ],
            ),
          ),
          secondChild: FloatingActionButton(
            onPressed: widget.floatingButtonOnTap,
            child: const Icon(Icons.add),
          ),
          crossFadeState: widget.crossFadeState,
          duration: const Duration(milliseconds: 500),
        ),
      ),
      body: widget.body,
    );
  }
}
