
import 'package:witsystem_device_manage/generated/l10n.dart';

///设备权限处理工具

class DeviceAuth {

  /// 设备的数字权限转换成文字
  /// 0 代表管理员 1代表普通用户 2代表周期用户 3代表一次性用户 4代表只有查看权限
  static String  intToStringAuth(int auth) {
    switch (auth) {
      case 0:
        return S.current.device_admin;
      case 1:
        return S.current.device_common;
      case 2:
        return S.current.device_cycle;
      case 3:
        return S.current.device_disposable;
      case 4:
        return S.current.device_lookOver;
      case 5:
        return S.current.device_wxDisposable;
      default:
        return S.current.device_otherUser;
    }
  }

  ///设备数字转成英文权限标记，因为后台是meun
  static String numberToStringEnAuth(int auth) {
    switch (auth) {
      case 0:
        return 'Admin';
      case 1:
        return 'Common';
      case 2:
        return 'Cycle';
      case 3:
        return 'Disposable';
      case 4:
        return 'Look';
      case 5:
        return 'WX_Disposable';
      default:
        return 'unknown';
    }
  }

  ///设备文字权限中文转英文权限标记，因为后台是meun
  static  String stringToStringEnAuth(String authType) {
    switch (authType) {
      case '管理员':
        return 'Admin';
      case '普通用户':
        return 'Common';
      case '周期用户':
        return 'Cycle';
      case '一次性':
        return 'Disposable';
      case '查看':
        return 'Look';
      case '微信一次性钥匙':
        return 'WX_Disposable';
      default:
        return 'unknown';
    }
  }

  ///英文转中文 适配国际化
  static  String enAuthToString(String authType) {
    switch (authType) {
      case 'Admin':
        return S.current.device_admin;
      case 'Common':
        return S.current.device_common;
      case 'Cycle':
        return S.current.device_cycle;
      case 'Disposable':
        return S.current.device_disposable;
      case 'Look':
        return S.current.device_lookOver;
      case 'WX_Disposable':
        return S.current.device_wxDisposable;
      default:
        return S.current.device_otherUser;
    }
  }


}
